"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ecosystemDevDependencies = exports.ecosystemPresetFiles = void 0;
const resolveLatestVersions_1 = require("../npm/resolveLatestVersions");
function ecosystemPresetFiles() {
    return [
        {
            from: ['ecosystem', '.github', 'workflows', 'main.yml'],
            to: ['.github', 'workflows', 'main.yml'],
        },
        {
            from: ['ecosystem', '.husky', 'commit-msg'],
            to: ['.husky', 'commit-msg'],
        },
        {
            from: ['ecosystem', '.husky', 'pre-commit'],
            to: ['.husky', 'pre-commit'],
        },
        { from: ['ecosystem', '.releaserc.json'], to: '.releaserc.json' },
        { from: ['ecosystem', 'commitlint.config.js'], to: 'commitlint.config.js' },
        { from: ['ecosystem', 'renovate.json'], to: 'renovate.json' },
    ];
}
exports.ecosystemPresetFiles = ecosystemPresetFiles;
function ecosystemDevDependencies() {
    return __awaiter(this, void 0, void 0, function* () {
        return (0, resolveLatestVersions_1.resolveLatestVersions)([
            '@commitlint/cli',
            '@commitlint/config-conventional',
            '@sanity/semantic-release-preset',
            'husky',
            'lint-staged',
        ]);
    });
}
exports.ecosystemDevDependencies = ecosystemDevDependencies;
//# sourceMappingURL=ecosystem-preset.js.map